﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

//添加引用
using System.ServiceModel;
using Cbcye.Contract;

//[4] 实现客户端代理类
namespace Cbcye.Client
{
    //ClientBase提供基实现，用于创建可调用服务的WCF客户端对象
    //扩展 ClientBase<(Of <(TChannel>)>) 类可以创建可用于连接服务的自定义 WCF 客户端对象
    class ClientProxy:ClientBase<IHelloWorld>,IHelloWorld
    {
        public ClientProxy()
            : base()
        {
        }

        #region IHelloWorld Members

        public string Getstring(string InStr)
        {
            //信道工厂,创建用于消息发送的信道。
            return this.Channel.Getstring(InStr);
        }

        #endregion
    }
}
